CVE-2006-1676
CVSS6.4
发布时间 :2006-04-10 20:02:00
修订时间 :2011-08-05 00:00:00
NMCO    

[原文]SQL injection vulnerability in the display function in the Topics module for MAXdev MDPro (MD-Pro) 1.0.73 and 1.0.72, and possibly other versions before 1.076, allows remote attackers to execute arbitrary SQL commands via the topicid parameter in a display action, which is not properly handled in PNuserapi.PHP.


[CNNVD]MAXDEV MDPro PNuserapi.PHP SQL注入漏洞(CNNVD-200604-107)

        MAXdev MDPro 1.0.73 ,1.0.72及其它1.076之前的可能版本中的Topics模块中display函数存在SQL注入漏洞。这使得远程攻击者可以借助于topicid参数(该参数在PNuserapi.PHP中没有得到正确地处理)执行任意SQL命令。

- CVSS (基础分值)

CVSS分值: 6.4 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: NETWORK [攻击者不需要获取内网访问权或本地访问权]
身份认证: NONE [漏洞利用无需身份认证]

- CWE (弱点类目)

CWE-89 [SQL命令中使用的特殊元素转义处理不恰当(SQL注入)]

- CPE (受影响的平台与产品)

cpe:/a:maxdev:md-pro:1.0.72
cpe:/a:maxdev:md-pro:1.0.75
cpe:/a:maxdev:md-pro:1.0.73

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-1676
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-1676
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200604-107
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/25710
(UNKNOWN)  XF  mdpro-index-sql-injection(25710)
http://www.vupen.com/english/advisories/2006/1282
(VENDOR_ADVISORY)  VUPEN  ADV-2006-1282
http://www.securityfocus.com/bid/17399
(UNKNOWN)  BID  17399
http://www.securityfocus.com/archive/1/archive/1/437831/100/100/threaded
(UNKNOWN)  BUGTRAQ  20060620 Re: MAXDEV CMS Multiple vulnerabilities
http://www.securityfocus.com/archive/1/archive/1/430370/100/0/threaded
(UNKNOWN)  BUGTRAQ  20060406 MAXDEV CMS Multiple vulnerabilities
http://www.maxdev.com/Article592.phtml
(UNKNOWN)  CONFIRM  http://www.maxdev.com/Article592.phtml
http://secunia.com/advisories/19578
(VENDOR_ADVISORY)  SECUNIA  19578

- 漏洞信息

MAXDEV MDPro PNuserapi.PHP SQL注入漏洞
中危 SQL注入
2006-04-10 00:00:00 2006-06-30 00:00:00
远程  
        MAXdev MDPro 1.0.73 ,1.0.72及其它1.076之前的可能版本中的Topics模块中display函数存在SQL注入漏洞。这使得远程攻击者可以借助于topicid参数(该参数在PNuserapi.PHP中没有得到正确地处理)执行任意SQL命令。

- 公告与补丁

        暂无数据

- 漏洞信息

24514
MAXdev MD-Pro Topics Module topicid Parameter SQL Injection
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality, Loss of Integrity Upgrade
Vendor Verified

- 漏洞描述

- 时间线

2006-04-06 Unknow
2006-04-06 Unknow

- 解决方案

Upgrade to version 1.0.76 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站